jAnrufmonitor und Oracle Java 10 Unterstützung


Warning: count(): Parameter must be an array or an object that implements Countable in /kunden/181525_74918/webseiten/janrufmonitor.de/wordpress/wp-includes/post-template.php on line 310

jAnrufmonitor und Oracle Java 10 Unterstützung

22. März 2018
/ / /

Am 20. März 2018 wurde Java 10 vom Hersteller Oracle für alle Betriebsysteme veröffentlicht. In dieser Version von Java wurde erneut die Versionsprüfung in der Art angepasst, dass ältere Prüfmethoden, die bei Programmen mit Versionabhängigkeit genutzt werden, nicht mehr teilweise oder vollständig funktionieren.

So ist der jAnrufmonitor, wie es bereits bei Java 9 der Fall war, auch bei Java 10 von dieser Änderung betroffen. Dies führt dazu, dass jAnrufmonitor bis Version 5.0.75 nicht mit Java 10 gestartet werden kann. Das Problem ist bereits bekannt und identifiziert, eine Lösung bzw. die Unterstützung für Java 10 wird mit dem kommenden Update auf Version 5.0.76 Anfang April zur Verfügung gestellt. In der Zwischenzeit empfiehlt es sich auf der letzte Java 9 Version zu bleiben und erst nach dem Update auf Version 5.0.76 die Java Version auf 10 zu aktualisieren.

2 Kommentare

  1. klausmcguiver 28. März 2018 14:18

    Mittwoch, 28. März 2018, 13:54

    Hi, Thilo –

    derzeit verzichte ich bis zum angekündigten jAm-Update Anfang April vorübergehend auf die Nutzung von jAnrufmonitor auf meinem Win-10-Laptop, da ich dort Java 10 bereits installiert habe. Wird es nach dem geplanten Update auf jAm 5.0.76 möglich sein, dieses über die bisherige Version zu installieren, ohne dass man
    a) jAm völlig neu konfigurieren muss, weil die bisherigen Daten und Einstellungen verloren gehen, und
    b) zuvor Java 10 deinstallieren und auf Java 9 zurücksetzen muss, bevor man – nach der Installation von jAm 5.0.76 – dann wieder Java 10 installieren kann?

    Herzlicher Gruß
    Klaus

    • Thilo Brandt 28. März 2018 14:29

      Hallo Klaus,

      der Prozess wird so sein, dass Java 9 und jAnrufmonitor Version 5.0.75 Voraussetzung für ein Update auf Version 5.0.76 sein werden. Nach dem Update kann man dann Java auf Version 10 aktualisieren und beide Programm sollten anschließend normal zusammenarbeiten. Wenn du jetzt schon auf Java 10 bist, dann startet die 5.0.75er Version des jAnrufmonitor ja nicht, dementsprechend kannst du nur neu installieren und nicht updaten. Deine Journal- und Adressdatenbank-Dateien (journal.db und phonebook.db) aus Version 5.0.75 kannst du nach der Neuinstallation von 5.0.76 weiter nutzen, hier verlierst du keine Daten. Lediglich die Einstellungen (Administration -> Einstellungen) wirst du nach einer Neuinstallation nochmals vornehmen müssen.

      Viele Grüße
      Thilo

Schreiben Sie einen Kommentar

Diese Website verwendet Akismet, um Spam zu reduzieren. Erfahre mehr darüber, wie deine Kommentardaten verarbeitet werden.

  • Folgen Sie jAnrufmonitor
         
Wir benutzen Cookies um die Nutzerfreundlichkeit der Webseite zu verbessen. Durch Deinen Besuch stimmst Du dem zu.
published on 22. März 2018